Package com.netrics.likeit

## Class NetricsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.netrics.likeit.NetricsException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NetricsException
      extends java.lang.Exception

  A NetricsException is thrown whenever an error occurs.
  There are two classes of errors. If the ibi™ Patterns - Search Server indicates that an error occured, the getErrorCode() method returns a positive integer which corresponds to one of the server's error codes. The second type of error is internal to the interface (invalid arguments passed to a function for instance). In this case, the error code will be -1.
  The NetricsException.getExtendedErrorInformation() can be very useful in dissecting the cause of an error, as it will usually return the exact item which caused the error.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ACTCONFLICT` | An attempt was made to perform an action that conflicts with an earlier action in this transaction.
    `static int` | `ARRAYLEN` | Array parameter has wrong number of values.
    `static int` | `BYTECOUNT` | Obsolete, use SVR_BYTECOUNT.
    `static int` | `CHARCONV` | Error in character encoding conversion.
    `static int` | `CHARMAP` | Invalid character mapping.
    `static int` | `CHKPT_CORRUPT` | The file system containing the checkpoint system is full or damaged..
    `static int` | `CHPTFAIL` | All of the tables failed to checkpoint.
    `static int` | `CL_CFG_CONFLICT` | The new configuration conflicts with the current configuration..
    `static int` | `CL_CONFIG` | The configuration file contains errors..
    `static int` | `CMD_CANCELLED` | Command was cancelled..
    `static int` | `DUPFIELDNAMES` | Duplicate field names given.
    `static int` | `DUPRECKEYS` | Duplicate keys in a batch.
    `static int` | `DUPTBLDESCS` | Duplicate dbdescs given.
    `static int` | `EXPECTCHARMAP` | A character map name lpar was expected.
    `static int` | `EXPECTKEYFIELD` | Key field not identified in file load.
    `static int` | `EXPECTLIST` | A list was expected.
    `static int` | `EXPECTPARENTKEYFIELD` | Parent key field not identified in file load.
    `static int` | `EXPECTQUERY` | A query lpar was expected.
    `static int` | `EXPECTRECKEY` | A record key lpar was expected.
    `static int` | `EXPECTRECORD` | A record was expected.
    `static int` | `EXPECTRTBLDESC` | A remote database descriptor lpar was expected.
    `static int` | `EXPECTTBLDESC` | A database descriptor lpar was expected.
    `static int` | `EXPECTTHESNAME` | A thesaurus name lpar was expected.
    `static int` | `EXPIRED` | Trial version expired.
    `static int` | `EXTRAINPUT` | Obsolete, use SVR_EXTRAINTPUT.
    `static int` | `FEATUREOFF` | Feature present but disabled.
    `static int` | `FEATURESET` | Feature not available.
    `static int` | `FIELDLEN` | Single field length greater than 2^16-3.
    `static int` | `FIELDLENSUM` | Field lengths do not sum to record length.
    `static int` | `FILE_NOT_FOUND` | Expected file was not found..
    `static int` | `FILEFORMAT` | File format invalid.
    `static int` | `GATEWAY` | The server is not a cluster gateway.
    `static int` | `GPU_DEVICE_NOT_ALLOWED` | The GPU device is not supported, or is disallowed on the command line..
    `static int` | `HANDSHAKE` | Obsolete, use SVR_HANDSHAKE.
    `static int` | `HASERRORS` | An attempt was made to commit a transaction that has errors on it.
    `static int` | `INTERNAL` | Unexpected internal error.
    `static int` | `IOERROR` | I/O Error.
    `static int` | `IPCEOF` | Obsolete, use SVR_IPCEOF.
    `static int` | `IPCERR` | Obsolete, use SVR_IPCERR.
    `static int` | `IPCTIMEOUT` | Obsolete, use SVR_IPCTIMEOUT.
    `static int` | `JOINSET` | An incomplete or invalid set of joined tables was detected..
    `static int` | `JOURNAL` | Error performing journal operations..
    `static int` | `LINECOUNT` | Obsolete, use SVR_LINECOUNT.
    `static int` | `LINELENGTH` | Obsolete, use SVR_LINELENGTH.
    `static int` | `LISTLEN` | List has wrong number of items.
    `static int` | `LOGFILE` | Obsolete, use SVR_LOGFILE.
    `static int` | `LOOKUP` | Core lookup function returned error.
    `static int` | `LOOKUP_FLDS_NEEDED` | SORT / PSI lookup fields are required for this query..
    `static int` | `MODEL_DATA` | Binary RLINK model data is corrupt or invalid.
    `static int` | `MODEL_UNSUPPORTED` | The model version does not support the operation..
    `static int` | `NOCHARMAP` | No character map with the given name.
    `static int` | `NODATABASES` | Obsolete, use SVR_NOTDATABASES.
    `static int` | `NOFEATUREVEC` | No feature vector given for RLINK model.
    `static int` | `NOFUNCTION` | No callback function.
    `static int` | `NOMEM` | Out of memory.
    `static int` | `NOQUERY` | No search query.
    `static int` | `NORECKEY` | A record key is required.
    `static int` | `NORECORDS` | No records.
    `static int` | `NORLINKMODEL` | No RLINK model.
    `static int` | `NOSRCHTXT` | Searchable text is required.
    `static int` | `NOSTATUS` | The NULL error.
    `static int` | `NOSYSINIT` | System not initialized.
    `static int` | `NOTBLDESC` | No database descriptor.
    `static int` | `NOWGTFIELD` | Obsolete, use NOWGTFLD.
    `static int` | `NOWGTFLD` | No weight field specified in record weight expression..
    `static int` | `NSFIELD` | Attempt to search non-searchable field.
    `static int` | `NUMFEATURESMISMATCH` | RLINK model number of features mismatch.
    `static int` | `NUMFIELDS` | Record has the wrong number of fields.
    `static int` | `OUTPUTLIMIT` | Query output size limits were exceeded..
    `static int` | `PARAM` | Obsolete, use SVR_PARAM.
    `static int` | `PARAMCONFLICT` | Conflicting parameters.
    `static int` | `PARAMFMT` | Obsolete, use SVR_PARAMFMT.
    `static int` | `PARAMMISSING` | Parameter missing from list.
    `static int` | `PARAMTYPE` | Parameter type is invalid for operation.
    `static int` | `PARAMVAL` | Parameter value out of legal range.
    `static int` | `PARTIAL` | Partial search results.
    `static int` | `PARTIALCHPT` | Some of the tables failed to checkpoint.
    `static int` | `PARTIALRESTORE` | Some of the tables failed to restore.
    `static int` | `PREDSTRING` | Error in Predicate string.
    `static int` | `PREDTYPE` | Predicate does not evaluate to boolean type.
    `static int` | `PROTOCMD` | Obsolete, use SVR_PROTOCMD.
    `static int` | `QLETREFBROKEN` | The querylet referenced doesn't exist..
    `static int` | `QLETREFLOOP` | A querylet reference loop exists..
    `static int` | `QUERYEXPR` | Badly constructed query expression.
    `static int` | `QUERYLET_LIMIT` | Query too complex: the number of leaf querylets exceeds the limit..
    `static int` | `RECEXISTS` | Record already exists.
    `static int` | `RECNOTFOUND` | Record not found.
    `static int` | `REMOTE_DISABLED` | Remote commands are disabled.
    `static int` | `REMOTEHEAP` | Obsolete, use SVR_REMOTEHEAP.
    `static int` | `REQUESTFMT` | Obsolete, use SVR_REQUESTFMT.
    `static int` | `RESTOREFAIL` | All of the tables failed to restore.
    `static int` | `RLINKMODELNOTFOUND` | RLINK model not found.
    `static int` | `SHUTDOWN` | Obsolete, use SVR_SHUTDOWN.
    `static int` | `SRCHPARAM` | Unrecognized search parameter.
    `static int` | `SSL` | Error performing SSL/TLS operations..
    `static int` | `STATUSOK` | Success.
    `static int` | `SVR_BLANKLINE` | List terminator (non-error).
    `static int` | `SVR_BYTECOUNT` | Protocol byte count out of range.
    `static int` | `SVR_DEFERRED` | An error will be happening, but the specific code isn't known yet..
    `static int` | `SVR_EXTRAINPUT` | Unexpected additional input.
    `static int` | `SVR_HANDSHAKE` | Protocol handshake failed.
    `static int` | `SVR_IPCEOF` | Unexpected EOF.
    `static int` | `SVR_IPCERR` | I/O error on socket.
    `static int` | `SVR_IPCTIMEOUT` | Socket I/O operation timed out.
    `static int` | `SVR_LAYOUT_CONFLICT` | No longer used..
    `static int` | `SVR_LINECOUNT` | Protocol line count out of range.
    `static int` | `SVR_LINELENGTH` | Protocol line too long.
    `static int` | `SVR_LOGFILE` | Log file could not be opened/written.
    `static int` | `SVR_NO_DEFAULT_LAYOUT` | No longer used..
    `static int` | `SVR_NODATABASES` | No databases to search.
    `static int` | `SVR_NODE_CONFLICT` | Conflicting errors from multiple nodes..
    `static int` | `SVR_NODE_DATA_SYNC` | Objects out of sync between nodes..
    `static int` | `SVR_NODE_DOWN` | Node communications failed..
    `static int` | `SVR_NOQUERY` | No search query.
    `static int` | `SVR_NOSTATUS` | Unparsable status line.
    `static int` | `SVR_OTHER_NODE` | Node operation aborted because another node in the same operation failed..
    `static int` | `SVR_PARAM` | Protocol parameter not recognized.
    `static int` | `SVR_PARAMFMT` | Protocol parameter format error.
    `static int` | `SVR_PARAMTYPE` | Protocol parameter type mismatch.
    `static int` | `SVR_PARAMVAL` | Protocol parameter value illegal.
    `static int` | `SVR_PROTOCMD` | Protocol command not recognized.
    `static int` | `SVR_REMOTEHEAP` | Remote heap mode.
    `static int` | `SVR_REQUESTFMT` | Protocol request format error.
    `static int` | `SVR_SHUTDOWN` | Perform server shutdown.
    `static int` | `SVR_UNKNOWN_LAYOUT` | No longer used..
    `static int` | `SVR_ZEROLEN` | No searchable text of zero length.
    `static int` | `SVRNOQUERY` | Obsolete, use SVR_NOQUERY.
    `static int` | `SVRNOSTATUS` | Obsolete, use SVR_NOSTATUS.
    `static int` | `SVRPARAMVAL` | Obsolete, use SVR_PARAMVAL.
    `static int` | `SYSINIT` | System already initialized.
    `static int` | `TBLEXISTS` | Database already exists.
    `static int` | `TBLLOCKED` | Database locked by lkt_dblock.
    `static int` | `TBLMOVESAME` | Source and destination database are the same.
    `static int` | `TBLNOFIELDS` | This table has no fields in it.
    `static int` | `TBLNOTCHILD` | Specified table is not a child table..
    `static int` | `TBLNOTFOUND` | Database not found.
    `static int` | `TBLPARAM` | Unrecognized database parameter.
    `static int` | `TBLUNLOCKED` | Database not locked by lkt_dblock.
    `static int` | `THESNOTFOUND` | Thesaurus not found.
    `static int` | `TOO_MANY_TABLES` | Too many tables..
    `static int` | `TRAN_EXISTS` | A transaction was detected.
    `static int` | `TRAN_IN_USE` | This operation was rejected because another operation using this transaction ID is running.
    `static int` | `TRAN_LIMIT` | Too many open transactions.
    `static int` | `TRAN_UNKNOWN` | An explicit transaction ID was given, but it is not an existing open transaction.
    `static int` | `TRANCONFLICT` | An attempt was made to modify an object that is being modified by another transaction.
    `static int` | `UNKFIELD` | Unknown field.
    `static int` | `UPDPARAM` | Unrecognized update parameter.
    `static int` | `ZEROLEN` | Obsolete, use SVR_ZEROLEN.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getErrorCode()` | Get the error code associated with the error.
    `java.lang.String` | `getErrorDescription()` | Get the description of the error.
    `NetricsErrorItem` | `getErrorItem()` | Returns a NetricsErrorItem object that represents the error item associated with this exception.
    `java.lang.String` | `getExtendedErrorInformation()` | Get the extended error information.
    `java.lang.String` | `toString()` | Convert a this object to a string representation.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATUSOK

          public static final int STATUSOK

      Success.
      See Also:
        Constant Field Values

    - #### PARTIAL

          public static final int PARTIAL

      Partial search results.
      See Also:
        Constant Field Values

    - #### NOSYSINIT

          public static final int NOSYSINIT

      System not initialized.
      See Also:
        Constant Field Values

    - #### SYSINIT

          public static final int SYSINIT

      System already initialized.
      See Also:
        Constant Field Values

    - #### FEATURESET

          public static final int FEATURESET

      Feature not available.
      See Also:
        Constant Field Values

    - #### FEATUREOFF

          public static final int FEATUREOFF

      Feature present but disabled.
      See Also:
        Constant Field Values

    - #### EXPECTLIST

          public static final int EXPECTLIST

      A list was expected.
      See Also:
        Constant Field Values

    - #### EXPECTTBLDESC

          public static final int EXPECTTBLDESC

      A database descriptor lpar was expected.
      See Also:
        Constant Field Values

    - #### EXPECTRTBLDESC

          public static final int EXPECTRTBLDESC

      A remote database descriptor lpar was expected.
      See Also:
        Constant Field Values

    - #### EXPECTRECORD

          public static final int EXPECTRECORD

      A record was expected.
      See Also:
        Constant Field Values

    - #### EXPECTRECKEY

          public static final int EXPECTRECKEY

      A record key lpar was expected.
      See Also:
        Constant Field Values

    - #### EXPECTQUERY

          public static final int EXPECTQUERY

      A query lpar was expected.
      See Also:
        Constant Field Values

    - #### EXPECTTHESNAME

          public static final int EXPECTTHESNAME

      A thesaurus name lpar was expected.
      See Also:
        Constant Field Values

    - #### EXPECTCHARMAP

          public static final int EXPECTCHARMAP

      A character map name lpar was expected.
      See Also:
        Constant Field Values

    - #### TBLPARAM

          public static final int TBLPARAM

      Unrecognized database parameter.
      See Also:
        Constant Field Values

    - #### CHARCONV

          public static final int CHARCONV

      Error in character encoding conversion.
      See Also:
        Constant Field Values

    - #### CHARMAP

          public static final int CHARMAP

      Invalid character mapping.
      See Also:
        Constant Field Values

    - #### NORECKEY

          public static final int NORECKEY

      A record key is required.
      See Also:
        Constant Field Values

    - #### NOSRCHTXT

          public static final int NOSRCHTXT

      Searchable text is required.
      See Also:
        Constant Field Values

    - #### NUMFIELDS

          public static final int NUMFIELDS

      Record has the wrong number of fields.
      See Also:
        Constant Field Values

    - #### FIELDLENSUM

          public static final int FIELDLENSUM

      Field lengths do not sum to record length.
      See Also:
        Constant Field Values

    - #### FIELDLEN

          public static final int FIELDLEN

      Single field length greater than 2^16-3.
      See Also:
        Constant Field Values

    - #### UNKFIELD

          public static final int UNKFIELD

      Unknown field.
      See Also:
        Constant Field Values

    - #### NSFIELD

          public static final int NSFIELD

      Attempt to search non-searchable field.
      See Also:
        Constant Field Values

    - #### NOWGTFLD

          public static final int NOWGTFLD

      No weight field specified in record weight expression..
      See Also:
        Constant Field Values

    - #### TBLNOTCHILD

          public static final int TBLNOTCHILD

      Specified table is not a child table..
      See Also:
        Constant Field Values

    - #### QUERYEXPR

          public static final int QUERYEXPR

      Badly constructed query expression.
      See Also:
        Constant Field Values

    - #### SRCHPARAM

          public static final int SRCHPARAM

      Unrecognized search parameter.
      See Also:
        Constant Field Values

    - #### UPDPARAM

          public static final int UPDPARAM

      Unrecognized update parameter.
      See Also:
        Constant Field Values

    - #### PARAMVAL

          public static final int PARAMVAL

      Parameter value out of legal range.
      See Also:
        Constant Field Values

    - #### PARAMCONFLICT

          public static final int PARAMCONFLICT

      Conflicting parameters.
      See Also:
        Constant Field Values

    - #### TRAN_EXISTS

          public static final int TRAN_EXISTS

      A transaction was detected.
      See Also:
        Constant Field Values

    - #### PARAMMISSING

          public static final int PARAMMISSING

      Parameter missing from list.
      See Also:
        Constant Field Values

    - #### PARAMTYPE

          public static final int PARAMTYPE

      Parameter type is invalid for operation.
      See Also:
        Constant Field Values

    - #### ARRAYLEN

          public static final int ARRAYLEN

      Array parameter has wrong number of values.
      See Also:
        Constant Field Values

    - #### LISTLEN

          public static final int LISTLEN

      List has wrong number of items.
      See Also:
        Constant Field Values

    - #### PREDTYPE

          public static final int PREDTYPE

      Predicate does not evaluate to boolean type.
      See Also:
        Constant Field Values

    - #### PREDSTRING

          public static final int PREDSTRING

      Error in Predicate string. See error info item..
      See Also:
        Constant Field Values

    - #### NOTBLDESC

          public static final int NOTBLDESC

      No database descriptor.
      See Also:
        Constant Field Values

    - #### TBLNOTFOUND

          public static final int TBLNOTFOUND

      Database not found.
      See Also:
        Constant Field Values

    - #### TBLEXISTS

          public static final int TBLEXISTS

      Database already exists.
      See Also:
        Constant Field Values

    - #### TBLLOCKED

          public static final int TBLLOCKED

      Database locked by lkt_dblock.
      See Also:
        Constant Field Values

    - #### TBLUNLOCKED

          public static final int TBLUNLOCKED

      Database not locked by lkt_dblock.
      See Also:
        Constant Field Values

    - #### TBLMOVESAME

          public static final int TBLMOVESAME

      Source and destination database are the same.
      See Also:
        Constant Field Values

    - #### TBLNOFIELDS

          public static final int TBLNOFIELDS

      This table has no fields in it.
      See Also:
        Constant Field Values

    - #### NORECORDS

          public static final int NORECORDS

      No records.
      See Also:
        Constant Field Values

    - #### RECEXISTS

          public static final int RECEXISTS

      Record already exists.
      See Also:
        Constant Field Values

    - #### RECNOTFOUND

          public static final int RECNOTFOUND

      Record not found.
      See Also:
        Constant Field Values

    - #### PARTIALCHPT

          public static final int PARTIALCHPT

      Some of the tables failed to checkpoint.
      See Also:
        Constant Field Values

    - #### CHPTFAIL

          public static final int CHPTFAIL

      All of the tables failed to checkpoint.
      See Also:
        Constant Field Values

    - #### PARTIALRESTORE

          public static final int PARTIALRESTORE

      Some of the tables failed to restore.
      See Also:
        Constant Field Values

    - #### RESTOREFAIL

          public static final int RESTOREFAIL

      All of the tables failed to restore.
      See Also:
        Constant Field Values

    - #### DUPRECKEYS

          public static final int DUPRECKEYS

      Duplicate keys in a batch.
      See Also:
        Constant Field Values

    - #### DUPTBLDESCS

          public static final int DUPTBLDESCS

      Duplicate dbdescs given.
      See Also:
        Constant Field Values

    - #### DUPFIELDNAMES

          public static final int DUPFIELDNAMES

      Duplicate field names given.
      See Also:
        Constant Field Values

    - #### THESNOTFOUND

          public static final int THESNOTFOUND

      Thesaurus not found.
      See Also:
        Constant Field Values

    - #### NORLINKMODEL

          public static final int NORLINKMODEL

      No RLINK model.
      See Also:
        Constant Field Values

    - #### RLINKMODELNOTFOUND

          public static final int RLINKMODELNOTFOUND

      RLINK model not found.
      See Also:
        Constant Field Values

    - #### MODEL_DATA

          public static final int MODEL_DATA

      Binary RLINK model data is corrupt or invalid.
      See Also:
        Constant Field Values

    - #### NOFEATUREVEC

          public static final int NOFEATUREVEC

      No feature vector given for RLINK model.
      See Also:
        Constant Field Values

    - #### NUMFEATURESMISMATCH

          public static final int NUMFEATURESMISMATCH

      RLINK model number of features mismatch.
      See Also:
        Constant Field Values

    - #### NOCHARMAP

          public static final int NOCHARMAP

      No character map with the given name.
      See Also:
        Constant Field Values

    - #### NOFUNCTION

          public static final int NOFUNCTION

      No callback function.
      See Also:
        Constant Field Values

    - #### NOQUERY

          public static final int NOQUERY

      No search query.
      See Also:
        Constant Field Values

    - #### FILEFORMAT

          public static final int FILEFORMAT

      File format invalid.
      See Also:
        Constant Field Values

    - #### IOERROR

          public static final int IOERROR

      I/O Error.
      See Also:
        Constant Field Values

    - #### EXPIRED

          public static final int EXPIRED

      Trial version expired.
      See Also:
        Constant Field Values

    - #### LOOKUP

          public static final int LOOKUP

      Core lookup function returned error.
      See Also:
        Constant Field Values

    - #### NOSTATUS

          public static final int NOSTATUS

      The NULL error.
      See Also:
        Constant Field Values

    - #### NOMEM

          public static final int NOMEM

      Out of memory.
      See Also:
        Constant Field Values

    - #### INTERNAL

          public static final int INTERNAL

      Unexpected internal error.
      See Also:
        Constant Field Values

    - #### EXPECTKEYFIELD

          public static final int EXPECTKEYFIELD

      Key field not identified in file load.
      See Also:
        Constant Field Values

    - #### EXPECTPARENTKEYFIELD

          public static final int EXPECTPARENTKEYFIELD

      Parent key field not identified in file load.
      See Also:
        Constant Field Values

    - #### CL_CONFIG

          public static final int CL_CONFIG

      The configuration file contains errors..
      See Also:
        Constant Field Values

    - #### CL_CFG_CONFLICT

          public static final int CL_CFG_CONFLICT

      The new configuration conflicts with the current configuration..
      See Also:
        Constant Field Values

    - #### GATEWAY

          public static final int GATEWAY

      The server is not a cluster gateway.
      See Also:
        Constant Field Values

    - #### JOINSET

          public static final int JOINSET

      An incomplete or invalid set of joined tables was detected..
      See Also:
        Constant Field Values

    - #### TRAN_UNKNOWN

          public static final int TRAN_UNKNOWN

      An explicit transaction ID was given, but it is not an existing open transaction.
      See Also:
        Constant Field Values

    - #### TRAN_IN_USE

          public static final int TRAN_IN_USE

      This operation was rejected because another operation using this transaction ID is running.
      See Also:
        Constant Field Values

    - #### TRAN_LIMIT

          public static final int TRAN_LIMIT

      Too many open transactions.
      See Also:
        Constant Field Values

    - #### TRANCONFLICT

          public static final int TRANCONFLICT

      An attempt was made to modify an object that is being modified by another transaction.
      See Also:
        Constant Field Values

    - #### ACTCONFLICT

          public static final int ACTCONFLICT

      An attempt was made to perform an action that conflicts with an earlier action in this transaction.
      See Also:
        Constant Field Values

    - #### HASERRORS

          public static final int HASERRORS

      An attempt was made to commit a transaction that has errors on it.
      See Also:
        Constant Field Values

    - #### CHKPT_CORRUPT

          public static final int CHKPT_CORRUPT

      The file system containing the checkpoint system is full or damaged..
      See Also:
        Constant Field Values

    - #### OUTPUTLIMIT

          public static final int OUTPUTLIMIT

      Query output size limits were exceeded..
      See Also:
        Constant Field Values

    - #### FILE_NOT_FOUND

          public static final int FILE_NOT_FOUND

      Expected file was not found..
      See Also:
        Constant Field Values

    - #### LOOKUP_FLDS_NEEDED

          public static final int LOOKUP_FLDS_NEEDED

      SORT / PSI lookup fields are required for this query..
      See Also:
        Constant Field Values

    - #### QLETREFBROKEN

          public static final int QLETREFBROKEN

      The querylet referenced doesn't exist..
      See Also:
        Constant Field Values

    - #### QLETREFLOOP

          public static final int QLETREFLOOP

      A querylet reference loop exists..
      See Also:
        Constant Field Values

    - #### MODEL_UNSUPPORTED

          public static final int MODEL_UNSUPPORTED

      The model version does not support the operation..
      See Also:
        Constant Field Values

    - #### QUERYLET_LIMIT

          public static final int QUERYLET_LIMIT

      Query too complex: the number of leaf querylets exceeds the limit..
      See Also:
        Constant Field Values

    - #### GPU_DEVICE_NOT_ALLOWED

          public static final int GPU_DEVICE_NOT_ALLOWED

      The GPU device is not supported, or is disallowed on the command line..
      See Also:
        Constant Field Values

    - #### REMOTE_DISABLED

          public static final int REMOTE_DISABLED

      Remote commands are disabled. They can be enabled for a single server using a command line parameter. They are always disabled on a gateway..
      See Also:
        Constant Field Values

    - #### SSL

          public static final int SSL

      Error performing SSL/TLS operations..
      See Also:
        Constant Field Values

    - #### CMD_CANCELLED

          public static final int CMD_CANCELLED

      Command was cancelled..
      See Also:
        Constant Field Values

    - #### JOURNAL

          public static final int JOURNAL

      Error performing journal operations..
      See Also:
        Constant Field Values

    - #### TOO_MANY_TABLES

          public static final int TOO_MANY_TABLES

      Too many tables..
      See Also:
        Constant Field Values

    - #### SVR_IPCEOF

          public static final int SVR_IPCEOF

      Unexpected EOF.
      See Also:
        Constant Field Values

    - #### SVR_IPCTIMEOUT

          public static final int SVR_IPCTIMEOUT

      Socket I/O operation timed out.
      See Also:
        Constant Field Values

    - #### SVR_IPCERR

          public static final int SVR_IPCERR

      I/O error on socket.
      See Also:
        Constant Field Values

    - #### SVR_HANDSHAKE

          public static final int SVR_HANDSHAKE

      Protocol handshake failed.
      See Also:
        Constant Field Values

    - #### SVR_PROTOCMD

          public static final int SVR_PROTOCMD

      Protocol command not recognized.
      See Also:
        Constant Field Values

    - #### SVR_REQUESTFMT

          public static final int SVR_REQUESTFMT

      Protocol request format error.
      See Also:
        Constant Field Values

    - #### SVR_BYTECOUNT

          public static final int SVR_BYTECOUNT

      Protocol byte count out of range.
      See Also:
        Constant Field Values

    - #### SVR_LINECOUNT

          public static final int SVR_LINECOUNT

      Protocol line count out of range.
      See Also:
        Constant Field Values

    - #### SVR_LINELENGTH

          public static final int SVR_LINELENGTH

      Protocol line too long.
      See Also:
        Constant Field Values

    - #### SVR_PARAM

          public static final int SVR_PARAM

      Protocol parameter not recognized.
      See Also:
        Constant Field Values

    - #### SVR_PARAMFMT

          public static final int SVR_PARAMFMT

      Protocol parameter format error.
      See Also:
        Constant Field Values

    - #### SVR_PARAMVAL

          public static final int SVR_PARAMVAL

      Protocol parameter value illegal.
      See Also:
        Constant Field Values

    - #### SVR_PARAMTYPE

          public static final int SVR_PARAMTYPE

      Protocol parameter type mismatch.
      See Also:
        Constant Field Values

    - #### SVR_NODATABASES

          public static final int SVR_NODATABASES

      No databases to search.
      See Also:
        Constant Field Values

    - #### SVR_NOQUERY

          public static final int SVR_NOQUERY

      No search query.
      See Also:
        Constant Field Values

    - #### SVR_EXTRAINPUT

          public static final int SVR_EXTRAINPUT

      Unexpected additional input.
      See Also:
        Constant Field Values

    - #### SVR_LOGFILE

          public static final int SVR_LOGFILE

      Log file could not be opened/written.
      See Also:
        Constant Field Values

    - #### SVR_ZEROLEN

          public static final int SVR_ZEROLEN

      No searchable text of zero length.
      See Also:
        Constant Field Values

    - #### SVR_NOSTATUS

          public static final int SVR_NOSTATUS

      Unparsable status line.
      See Also:
        Constant Field Values

    - #### SVR_REMOTEHEAP

          public static final int SVR_REMOTEHEAP

      Remote heap mode.
      See Also:
        Constant Field Values

    - #### SVR_LAYOUT_CONFLICT

          public static final int SVR_LAYOUT_CONFLICT

      No longer used..
      See Also:
        Constant Field Values

    - #### SVR_NODE_CONFLICT

          public static final int SVR_NODE_CONFLICT

      Conflicting errors from multiple nodes..
      See Also:
        Constant Field Values

    - #### SVR_NODE_DOWN

          public static final int SVR_NODE_DOWN

      Node communications failed..
      See Also:
        Constant Field Values

    - #### SVR_NODE_DATA_SYNC

          public static final int SVR_NODE_DATA_SYNC

      Objects out of sync between nodes..
      See Also:
        Constant Field Values

    - #### SVR_OTHER_NODE

          public static final int SVR_OTHER_NODE

      Node operation aborted because another node in the same operation failed..
      See Also:
        Constant Field Values

    - #### SVR_NO_DEFAULT_LAYOUT

          public static final int SVR_NO_DEFAULT_LAYOUT

      No longer used..
      See Also:
        Constant Field Values

    - #### SVR_UNKNOWN_LAYOUT

          public static final int SVR_UNKNOWN_LAYOUT

      No longer used..
      See Also:
        Constant Field Values

    - #### SVR_DEFERRED

          public static final int SVR_DEFERRED

      An error will be happening, but the specific code isn't known yet..
      See Also:
        Constant Field Values

    - #### SVR_SHUTDOWN

          public static final int SVR_SHUTDOWN

      Perform server shutdown.
      See Also:
        Constant Field Values

    - #### SVR_BLANKLINE

          public static final int SVR_BLANKLINE

      List terminator (non-error).
      See Also:
        Constant Field Values

    - #### NOWGTFIELD

          public static final int NOWGTFIELD

      Obsolete, use NOWGTFLD.
      See Also:
        Constant Field Values

    - #### IPCEOF

          public static final int IPCEOF

      Obsolete, use SVR_IPCEOF.
      See Also:
        Constant Field Values

    - #### IPCTIMEOUT

          public static final int IPCTIMEOUT

      Obsolete, use SVR_IPCTIMEOUT.
      See Also:
        Constant Field Values

    - #### IPCERR

          public static final int IPCERR

      Obsolete, use SVR_IPCERR.
      See Also:
        Constant Field Values

    - #### HANDSHAKE

          public static final int HANDSHAKE

      Obsolete, use SVR_HANDSHAKE.
      See Also:
        Constant Field Values

    - #### PROTOCMD

          public static final int PROTOCMD

      Obsolete, use SVR_PROTOCMD.
      See Also:
        Constant Field Values

    - #### REQUESTFMT

          public static final int REQUESTFMT

      Obsolete, use SVR_REQUESTFMT.
      See Also:
        Constant Field Values

    - #### BYTECOUNT

          public static final int BYTECOUNT

      Obsolete, use SVR_BYTECOUNT.
      See Also:
        Constant Field Values

    - #### LINECOUNT

          public static final int LINECOUNT

      Obsolete, use SVR_LINECOUNT.
      See Also:
        Constant Field Values

    - #### LINELENGTH

          public static final int LINELENGTH

      Obsolete, use SVR_LINELENGTH.
      See Also:
        Constant Field Values

    - #### PARAM

          public static final int PARAM

      Obsolete, use SVR_PARAM.
      See Also:
        Constant Field Values

    - #### PARAMFMT

          public static final int PARAMFMT

      Obsolete, use SVR_PARAMFMT.
      See Also:
        Constant Field Values

    - #### SVRPARAMVAL

          public static final int SVRPARAMVAL

      Obsolete, use SVR_PARAMVAL.
      See Also:
        Constant Field Values

    - #### NODATABASES

          public static final int NODATABASES

      Obsolete, use SVR_NOTDATABASES.
      See Also:
        Constant Field Values

    - #### SVRNOQUERY

          public static final int SVRNOQUERY

      Obsolete, use SVR_NOQUERY.
      See Also:
        Constant Field Values

    - #### EXTRAINPUT

          public static final int EXTRAINPUT

      Obsolete, use SVR_EXTRAINTPUT.
      See Also:
        Constant Field Values

    - #### LOGFILE

          public static final int LOGFILE

      Obsolete, use SVR_LOGFILE.
      See Also:
        Constant Field Values

    - #### ZEROLEN

          public static final int ZEROLEN

      Obsolete, use SVR_ZEROLEN.
      See Also:
        Constant Field Values

    - #### SVRNOSTATUS

          public static final int SVRNOSTATUS

      Obsolete, use SVR_NOSTATUS.
      See Also:
        Constant Field Values

    - #### REMOTEHEAP

          public static final int REMOTEHEAP

      Obsolete, use SVR_REMOTEHEAP.
      See Also:
        Constant Field Values

    - #### SHUTDOWN

          public static final int SHUTDOWN

      Obsolete, use SVR_SHUTDOWN.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Get the error code associated with the error. If the error code is positive, then the error was returned by the server. If the value of the error code is -1, it is an error indicating misuse of the server interface itself.
      IMPORTANT: Error codes for a given error will change from release to release. Because of this, a set of public static variables have been defined which coordinate the error to the proper error code.
      The list of error codes returned by each method of the NetricsServerInterface have been provided in the documentation for the interface. For instance, "ARRAYLEN" is the first error listed as being returned by the tblload method. To test for this error in a way that stays consistent from version to version, please use code like this:

              if( NetricsException.getErrorCode() == NetricsException.ARRAYLEN ) {
                   handle_the_ARRAYLEN_error();
              }

      Returns:
        the error code associated with the error.

    - #### getErrorDescription

          public java.lang.String getErrorDescription()

      Get the description of the error.
      Returns:
        the description of the error.

    - #### getExtendedErrorInformation

          public java.lang.String getExtendedErrorInformation()

      Get the extended error information.
      Whenever possible, the ibi™ Patterns - Search Server will return extended error information, that is, information specific to the cause of the error. For instance, for a batch recadd on an error caused by an attempt to add a record with a record key which already exists, the extended error information would indicate which record it was that caused the error. This method returns a raw text representation of that error information.
      Returns:
        the extended error information.

    - #### toString

          public java.lang.String toString()

      Convert a this object to a string representation.
      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### getErrorItem

          public NetricsErrorItem getErrorItem()

      Returns a NetricsErrorItem object that represents the error item associated with this exception.
      Whenever possible, the ibi™ Patterns - Search Server will return extended error information, that is, information specific to the cause of the error. For instance, for a batch recadd on an error caused by an attempt to add a record with a record key which already exists, the extended error information would indicate which record it was that caused the error.
      This method returns a NetricsErrorItem object that represents the extended error information. For known types of returned data a NetricsErrorItem object provides a means of retrieving specific data items.
      Returns:
        a NetricsErrorItem object that represents the error item associated with this exception.